Lintian ReportsBETA

Tag versions

Wcomposer-prerequisite

The tag is present in Lintian version 2.113.26. That is the most recent version we know about.

We use semantic versions. The patch number is a commit step indicator relative to the 2.113.0 release tag in our Git repository.

You can find the detection logic for this version at commit 43a81d7. For merge requests, please use the latest version in the Lintian check languages/php/composer.

Visibility: warning

A packaging relationship refers to the PHP composer.

The PHP Composer is a tool to install PHP packages similar to pip for Python and npm for Node.js. It should not be pulled in as a packaging relationship.

In Debian, the composer is dealt with in other ways, such as dh_phpcomposer from pkg-php-tools and phpab, which generates a static autoloader.

Maintainers of PHP-related packages may not be aware of all of the conventions since many such packages are maintained by individuals who are not associated with the PHP PEAR Maintainers team.

For more information please consult:

The following 8 source packages in the archive triggered the tag 9 times (in any Lintian version).

There were no overrides.